image: node:14.17.0-stretch
stages:
 - build
 - test

install_dependencies:
 stage: build
 script: yarn install
 cache:
  paths:
   - node_modules
  key:
   files:
    - yarn.lock

run_tests:
 stage: test
 script: 
    - yarn install  
    - CI=true yarn test

run_linter:
 stage: test
 script:
    - yarn install  
    - yarn run eslint src/**.js   
